Bug 969723 - Review Request: tlsdate - Secure parasitic rdate replacement
Review Request: tlsdate - Secure parasitic rdate replacement
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-01 23:01 EDT by Paul Wouters
Modified: 2016-01-03 16:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-03 15:22:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puiterwijk: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2013-06-01 23:01:08 EDT
Spec URL: ftp://ftp.nohats.ca/tlsdate/tlsdate.spec
SRPM URL: ftp://ftp.nohats.ca/tlsdate/tlsdate-0.0.7-0.1.fc18.src.rpm
Description: tlsdate sets the local clock by securely connecting with TLS to remote
servers and extracting the remote time out of the secure handshake. Unlike
ntpdate, tlsdate uses TCP, for instance connecting to a remote HTTPS or TLS
enabled service, and provides some protection against adversaries that try to
feed you malicious time information.

Fedora Account System Username: pwouters
Comment 1 Patrick Uiterwijk 2013-06-02 04:50:29 EDT
I will review this.

My first finding is that you have packaged 0.0.7, but this is not yet released.
Do you have the actual URL where you downloaded the archive from?
Comment 2 Paul Wouters 2013-06-03 07:42:19 EDT
It's actually a git snapshot. I fixed it to use the packaging guidlines for github now.

Spec URL: ftp://ftp.nohats.ca/tlsdate/tlsdate.spec
SRPM URL: ftp://ftp.nohats.ca/tlsdate/tlsdate-0.0.7-0.2.fc18.src.rpm
Comment 3 Patrick Uiterwijk 2013-09-02 14:07:47 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues
======
- Please modify usage of macros to only use %-style or $-style. Currently both are used (RPM_OPT_FLAGS on line 42)


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 40 files have
     unknown license. Detailed output of licensecheck in
     /home/puiterwijk/Documents/Development/Fedora/Reviewing/969723-tlsdate/licensecheck.txt
[!]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 6 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tlsdate-0.0.7-0.2.fc19.x86_64.rpm
tlsdate.x86_64: W: spelling-error Summary(en_US) rdate -> rate, date, dater
tlsdate.x86_64: W: spelling-error %description -l en_US ntpdate -> antedate, attendant
tlsdate.x86_64: W: only-non-binary-in-usr-lib
tlsdate.x86_64: W: non-standard-gid /var/run/tlsdated tlsdated
tlsdate.x86_64: E: non-standard-dir-perm /var/run/tlsdated 0775L
tlsdate.x86_64: W: non-standard-uid /var/cache/tlsdated tlsdated
tlsdate.x86_64: W: non-standard-gid /var/cache/tlsdated tlsdated
1 packages and 0 specfiles checked; 1 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint tlsdate
tlsdate.x86_64: W: spelling-error Summary(en_US) rdate -> rate, date, dater
tlsdate.x86_64: W: spelling-error %description -l en_US ntpdate -> antedate, attendant
tlsdate.x86_64: W: only-non-binary-in-usr-lib
tlsdate.x86_64: W: non-standard-gid /var/run/tlsdated tlsdated
tlsdate.x86_64: E: non-standard-dir-perm /var/run/tlsdated 0775L
tlsdate.x86_64: W: non-standard-uid /var/cache/tlsdated tlsdated
tlsdate.x86_64: W: non-standard-gid /var/cache/tlsdated tlsdated
1 packages and 0 specfiles checked; 1 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
tlsdate (rpmlib, GLIBC filtered):
    /bin/sh
    ca-certificates
    config(tlsdate)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    libssl.so.10()(64bit)
    libssl.so.10(libssl.so.10)(64bit)
    rtld(GNU_HASH)
    shadow-utils
    systemd-units



Provides
--------
tlsdate:
    config(tlsdate)
    tlsdate
    tlsdate(x86-64)



Source checksums
----------------
https://github.com/ioerror/tlsdate/archive/3f69a2245fddf5c63e2325c30d68c324e32dcdda/tlsdate-0.0.7-3f69a22.tar.gz :
  CHECKSUM(SHA256) this package     : 875b02edf0b926091b07eed73e6871962ffd4004704949dd0be1740590f8fc22
  CHECKSUM(SHA256) upstream package : 875b02edf0b926091b07eed73e6871962ffd4004704949dd0be1740590f8fc22


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-x86_64
Command line :/usr/bin/fedora-review -b 969723
Comment 4 Christopher Meng 2013-09-02 19:48:34 EDT
1. systemd related lines are obsoleted.

Ref: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

BuildRequires: systemd-units

should be 

BuildRequires: systemd

And

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

should be

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

2.%{__make} should be make

3. %configure --docdir=%{_defaultdocdir}/%{name}-%{version}

F20 uses unversioned docdir.
Comment 5 Christopher Meng 2013-10-20 22:51:13 EDT
NEWS?
Comment 6 Paul Wouters 2013-10-20 23:31:14 EDT
I'll pick this up monday, sorry I let this slip
Comment 7 Paul Wouters 2013-10-26 21:29:58 EDT
Spec URL: ftp://ftp.nohats.ca/tlsdate/tlsdate.spec
SRPM URL: ftp://ftp.nohats.ca/tlsdate/tlsdate-0.0.7-0.3.fc21.src.rpm

changelog


* Sun Oct 27 2013 Paul Wouters <pwouters@redhat.com> - 0.0.7-0.3
- Unversioned doc dir 
- Don't mix macro styles, don't macro 'make'
- Fix systemd dependancies
Comment 8 Patrick Uiterwijk 2015-12-21 15:23:48 EST
This looks sane to me.

APPROVED.
Comment 9 Michael Scherer 2015-12-21 16:13:48 EST
Also, it should be updated to 0.0.13 :)
Comment 10 Paul Wouters 2015-12-21 16:24:20 EST
Just in time for TLS 1.3 to obsolete the required feature :)
Comment 11 Patrick Uiterwijk 2015-12-21 16:41:41 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/tlsdate
Comment 12 Fedora Update System 2015-12-21 23:59:18 EST
tlsdate-0.0.13-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f9908796b8
Comment 13 Fedora Update System 2015-12-21 23:59:59 EST
tlsdate-0.0.13-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4038f3b861
Comment 14 Fedora Update System 2015-12-22 00:00:33 EST
tlsdate-0.0.13-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a1f57beecb
Comment 15 Fedora Update System 2015-12-22 19:10:16 EST
tlsdate-0.0.13-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4038f3b861
Comment 16 Fedora Update System 2015-12-24 00:20:41 EST
tlsdate-0.0.13-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a1f57beecb
Comment 17 Fedora Update System 2015-12-26 18:52:31 EST
tlsdate-0.0.13-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f9908796b8
Comment 18 Fedora Update System 2016-01-03 15:22:50 EST
tlsdate-0.0.13-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-01-03 16:19:47 EST
tlsdate-0.0.13-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.